
package de.ivu.elect.business.benutzerverwaltung.entity;

import java.util.Collection;

public class NachrichtEmpfaengerRollePickListProperty extends AbstractRollePickListProperty {

  private final Nachricht nachricht;

  public NachrichtEmpfaengerRollePickListProperty(Nachricht nachricht, RolleMeta rolleMeta, Collection<Rolle> verfuegbareRollen) {
    super(rolleMeta, verfuegbareRollen);

    this.nachricht = nachricht;
  }

  @Override
  protected Collection<Rolle> getZugeordneteRollen() {
    return nachricht.getEmpfaengerRollen();
  }

  @Override
  protected void replaceZugeordneteRollen(Collection<Rolle> rollen) {
    nachricht.setEmpfaengerRollen(rollen);
  }

  @Override
  protected String getTargetCaptionMessageKey() {
    return "NachrichtEmpfaengerRollePickListProperty.target";
  }

  @Override
  protected String formatItemLabel(String name, String beschreibung) {
    return name;
  }
}
